CREATE TABLE CITSTYLE (
  ID SERIAL,
  JOURNAL TEXT,
  CITSEPARATOR TEXT,
  FOLLOWING TEXT,
  PRECEEDING TEXT,
  RANGESEPARATOR TEXT,
  BIBLIOTITLE TEXT,
  INTEXTSEQUENCE TEXT,
  BIBLIOSEQUENCE TEXT,
  BIBLIOFIRSTINDENT TEXT,
  BIBLIOBLOCKINDENT TEXT,
  FONTSIZE TEXT,
  STYLE TEXT,
  JANABBREV TEXT,
  FEBABBREV TEXT,
  MARABBREV TEXT,
  APRABBREV TEXT,
  MAYABBREV TEXT,
  JUNABBREV TEXT,
  JULABBREV TEXT,
  AUGABBREV TEXT,
  SEPABBREV TEXT,
  OCTABBREV TEXT,
  NOVABBREV TEXT,
  DECABBREV TEXT,
  JANFULL TEXT,
  FEBFULL TEXT,
  MARFULL TEXT,
  APRFULL TEXT,
  MAYFULL TEXT,
  JUNFULL TEXT,
  JULFULL TEXT,
  AUGFULL TEXT,
  SEPFULL TEXT,
  OCTFULL TEXT,
  NOVFULL TEXT,
  DECFULL TEXT,
  JANTHREELET TEXT,
  FEBTHREELET TEXT,
  MARTHREELET TEXT,
  APRTHREELET TEXT,
  MAYTHREELET TEXT,
  JUNTHREELET TEXT,
  JULTHREELET TEXT,
  AUGTHREELET TEXT,
  SEPTHREELET TEXT,
  OCTTHREELET TEXT,
  NOVTHREELET TEXT,
  DECTHREELET TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE POSITIONS (
  ID SERIAL,
  REFSTYLEID INTEGER,
  POS INTEGER,
  SEPARATORID INTEGER,
  TYPE TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE REFSTYLE (
  ID SERIAL,
  CITSTYLEID INTEGER,
  PUBTYPE TEXT,
  QSTYLE TEXT,
  XSTYLE TEXT,
  YSTYLE TEXT,
  ZSTYLE TEXT,
  QALTERNATESTYLE TEXT,
  XALTERNATESTYLE TEXT,
  YALTERNATESTYLE TEXT,
  ZALTERNATESTYLE TEXT,
  QALTERNATETEXT TEXT,
  XALTERNATETEXT TEXT,
  YALTERNATETEXT TEXT,
  ZALTERNATETEXT TEXT,
  QABBREVIATEFIRST TEXT,
  XABBREVIATEFIRST TEXT,
  YABBREVIATEFIRST TEXT,
  ZABBREVIATEFIRST TEXT,
  QABBREVIATESUBSEQ TEXT,
  XABBREVIATESUBSEQ TEXT,
  YABBREVIATESUBSEQ TEXT,
  ZABBREVIATESUBSEQ TEXT,
  QABBREVIATEFIRSTMAXAUTHOR TEXT,
  XABBREVIATEFIRSTMAXAUTHOR TEXT,
  YABBREVIATEFIRSTMAXAUTHOR TEXT,
  ZABBREVIATEFIRSTMAXAUTHOR TEXT,
  QABBREVIATESUBSEQMAXAUTHOR TEXT,
  XABBREVIATESUBSEQMAXAUTHOR TEXT,
  YABBREVIATESUBSEQMAXAUTHOR TEXT,
  ZABBREVIATESUBSEQMAXAUTHOR TEXT,
  QABBREVIATEFIRSTDISPLAYAUTHOR TEXT,
  XABBREVIATEFIRSTDISPLAYAUTHOR TEXT,
  YABBREVIATEFIRSTDISPLAYAUTHOR TEXT,
  ZABBREVIATEFIRSTDISPLAYAUTHOR TEXT,
  QABBREVIATESUBSEQDISPLAYAUTHOR TEXT,
  XABBREVIATESUBSEQDISPLAYAUTHOR TEXT,
  YABBREVIATESUBSEQDISPLAYAUTHOR TEXT,
  ZABBREVIATESUBSEQDISPLAYAUTHOR TEXT,
  QAEMPTY TEXT,
  XAEMPTY TEXT,
  YAEMPTY TEXT,
  ZAEMPTY TEXT,
  QASAME TEXT,
  XASAME TEXT,
  YASAME TEXT,
  ZASAME TEXT,
  QPRECEEDING TEXT,
  XPRECEEDING TEXT,
  YPRECEEDING TEXT,
  ZPRECEEDING TEXT,
  QFOLLOWING TEXT,
  XFOLLOWING TEXT,
  YFOLLOWING TEXT,
  ZFOLLOWING TEXT,
  QAUTHORSEPSTWOSEPS TEXT,
  XAUTHORSEPSTWOSEPS TEXT,
  YAUTHORSEPSTWOSEPS TEXT,
  ZAUTHORSEPSTWOSEPS TEXT,
  QAUTHORSEPSTHREESEPSTHREESEPSEACH TEXT,
  XAUTHORSEPSTHREESEPSTHREESEPSEACH TEXT,
  YAUTHORSEPSTHREESEPSTHREESEPSEACH TEXT,
  ZAUTHORSEPSTHREESEPSTHREESEPSEACH TEXT,
  QAUTHORSEPSTHREESEPSTHREESEPSLAST TEXT,
  XAUTHORSEPSTHREESEPSTHREESEPSLAST TEXT,
  YAUTHORSEPSTHREESEPSTHREESEPSLAST TEXT,
  ZAUTHORSEPSTHREESEPSTHREESEPSLAST TEXT,
  QAUTHORNAMESNAMEFIRSTNAMEORDER TEXT,
  XAUTHORNAMESNAMEFIRSTNAMEORDER TEXT,
  YAUTHORNAMESNAMEFIRSTNAMEORDER TEXT,
  ZAUTHORNAMESNAMEFIRSTNAMEORDER TEXT,
  QAUTHORNAMESNAMEFIRSTINITIALSTYLE TEXT,
  XAUTHORNAMESNAMEFIRSTINITIALSTYLE TEXT,
  YAUTHORNAMESNAMEFIRSTINITIALSTYLE TEXT,
  ZAUTHORNAMESNAMEFIRSTINITIALSTYLE TEXT,
  QAUTHORNAMESNAMEFIRSTUPPERCASE TEXT,
  XAUTHORNAMESNAMEFIRSTUPPERCASE TEXT,
  YAUTHORNAMESNAMEFIRSTUPPERCASE TEXT,
  ZAUTHORNAMESNAMEFIRSTUPPERCASE TEXT,
  QAUTHORNAMESNAMEOTHERNAMEORDER TEXT,
  XAUTHORNAMESNAMEOTHERNAMEORDER TEXT,
  YAUTHORNAMESNAMEOTHERNAMEORDER TEXT,
  ZAUTHORNAMESNAMEOTHERNAMEORDER TEXT,
  QAUTHORNAMESNAMEOTHERINITIALSTYLE TEXT,
  XAUTHORNAMESNAMEOTHERINITIALSTYLE TEXT,
  YAUTHORNAMESNAMEOTHERINITIALSTYLE TEXT,
  ZAUTHORNAMESNAMEOTHERINITIALSTYLE TEXT,
  QAUTHORNAMESNAMEOTHERUPPERCASE TEXT,
  XAUTHORNAMESNAMEOTHERUPPERCASE TEXT,
  YAUTHORNAMESNAMEOTHERUPPERCASE TEXT,
  ZAUTHORNAMESNAMEOTHERUPPERCASE TEXT,
  QTEXTTEXTSINGLEPRECEEDING TEXT,
  XTEXTTEXTSINGLEPRECEEDING TEXT,
  YTEXTTEXTSINGLEPRECEEDING TEXT,
  ZTEXTTEXTSINGLEPRECEEDING TEXT,
  QTEXTTEXTSINGLEFOLLOWING TEXT,
  XTEXTTEXTSINGLEFOLLOWING TEXT,
  YTEXTTEXTSINGLEFOLLOWING TEXT,
  ZTEXTTEXTSINGLEFOLLOWING TEXT,
  QTEXTTEXTMULTIPLEPRECEEDING TEXT,
  XTEXTTEXTMULTIPLEPRECEEDING TEXT,
  YTEXTTEXTMULTIPLEPRECEEDING TEXT,
  ZTEXTTEXTMULTIPLEPRECEEDING TEXT,
  QTEXTTEXTMULTIPLEFOLLOWING TEXT,
  XTEXTTEXTMULTIPLEFOLLOWING TEXT,
  YTEXTTEXTMULTIPLEFOLLOWING TEXT,
  ZTEXTTEXTMULTIPLEFOLLOWING TEXT,
  PUBDATEPRECEEDING TEXT,
  PUBDATEFOLLOWING TEXT,
  PUBDATEFIRSTSEP TEXT,
  PUBDATESECONDSEP TEXT,
  PUBDATEFORMAT TEXT,
  PUBDATESEQUENCE TEXT,
  PUBDATEMONTHFORMAT TEXT,
  PUBDATEDAYFORMAT TEXT,
  PUBDATEYEARFORMAT TEXT,
  PUBDATEPADLEADINGZERO TEXT,
  PUBDATESTYLE TEXT,
  PUBDATESECPRECEEDING TEXT,
  PUBDATESECFOLLOWING TEXT,
  PUBDATESECFIRSTSEP TEXT,
  PUBDATESECSECONDSEP TEXT,
  PUBDATESECFORMAT TEXT,
  PUBDATESECSEQUENCE TEXT,
  PUBDATESECMONTHFORMAT TEXT,
  PUBDATESECDAYFORMAT TEXT,
  PUBDATESECYEARFORMAT TEXT,
  PUBDATESECPADLEADINGZERO TEXT,
  PUBDATESECSTYLE TEXT,
  PUBDATEALLPRECEEDING TEXT,
  PUBDATEALLFOLLOWING TEXT,
  PUBDATEALLFIRSTSEP TEXT,
  PUBDATEALLSECONDSEP TEXT,
  PUBDATEALLFORMAT TEXT,
  PUBDATEALLSEQUENCE TEXT,
  PUBDATEALLMONTHFORMAT TEXT,
  PUBDATEALLDAYFORMAT TEXT,
  PUBDATEALLYEARFORMAT TEXT,
  PUBDATEALLPADLEADINGZERO TEXT,
  PUBDATEALLSTYLE TEXT,
  TITLEPRECEEDING TEXT,
  TITLEFOLLOWING TEXT,
  TITLECASE TEXT,
  TITLESTYLE TEXT,
  BOOKTITLEPRECEEDING TEXT,
  BOOKTITLEFOLLOWING TEXT,
  BOOKTITLECASE TEXT,
  BOOKTITLESTYLE TEXT,
  SERIESTITLEPRECEEDING TEXT,
  SERIESTITLEFOLLOWING TEXT,
  SERIESTITLECASE TEXT,
  SERIESTITLESTYLE TEXT,
  ALLTITLEPRECEEDING TEXT,
  ALLTITLEFOLLOWING TEXT,
  ALLTITLECASE TEXT,
  ALLTITLESTYLE TEXT,
  JOURNALNAMEPRECEEDING TEXT,
  JOURNALNAMEFOLLOWING TEXT,
  JOURNALNAMECASE TEXT,
  JOURNALNAMEDEFAULTTEXT TEXT,
  JOURNALNAMEALTERNATETEXT TEXT,
  JOURNALNAMEPUNCTUATION TEXT,
  JOURNALNAMESTYLE TEXT,
  VOLUMEPRECEEDING TEXT,
  VOLUMEFOLLOWING TEXT,
  VOLUMESTYLE TEXT,
  ISSUEPRECEEDING TEXT,
  ISSUEFOLLOWING TEXT,
  ISSUESTYLE TEXT,
  PAGESSTYLE TEXT,
  PAGESSINGLEPAGEPRECEEDING TEXT,
  PAGESSINGLEPAGEFOLLOWING TEXT,
  PAGESPAGERANGEPRECEEDING TEXT,
  PAGESPAGERANGEFOLLOWING TEXT,
  PAGESPAGERANGETYPE TEXT,
  PUBLISHERPRECEEDING TEXT,
  PUBLISHERFOLLOWING TEXT,
  PUBLISHERSTYLE TEXT,
  PUBPLACEPRECEEDING TEXT,
  PUBPLACEFOLLOWING TEXT,
  PUBPLACESTYLE TEXT,

  SERIALPRECEEDING TEXT,
  SERIALFOLLOWING TEXT,
  SERIALSTYLE TEXT,

  ADDRESSPRECEEDING TEXT,
  ADDRESSFOLLOWING TEXT,
  ADDRESSSTYLE TEXT,

  USERDEF1PRECEEDING TEXT,
  USERDEF1FOLLOWING TEXT,
  USERDEF1STYLE TEXT,

  USERDEF2PRECEEDING TEXT,
  USERDEF2FOLLOWING TEXT,
  USERDEF2STYLE TEXT,

  USERDEF3PRECEEDING TEXT,
  USERDEF3FOLLOWING TEXT,
  USERDEF3STYLE TEXT,

  USERDEF4PRECEEDING TEXT,
  USERDEF4FOLLOWING TEXT,
  USERDEF4STYLE TEXT,

  USERDEF5PRECEEDING TEXT,
  USERDEF5FOLLOWING TEXT,
  USERDEF5STYLE TEXT,

  MISC1PRECEEDING TEXT,
  MISC1FOLLOWING TEXT,
  MISC1STYLE TEXT,

  MISC2PRECEEDING TEXT,
  MISC2FOLLOWING TEXT,
  MISC2STYLE TEXT,

  MISC3PRECEEDING TEXT,
  MISC3FOLLOWING TEXT,
  MISC3STYLE TEXT,

  NOTESPRECEEDING TEXT,
  NOTESFOLLOWING TEXT,
  NOTESSTYLE TEXT,

  ABSTRACTPRECEEDING TEXT,
  ABSTRACTFOLLOWING TEXT,
  ABSTRACTSTYLE TEXT,

  LINK0PRECEEDING TEXT,
  LINK0FOLLOWING TEXT,
  LINK0STYLE TEXT,

  LINK1PRECEEDING TEXT,
  LINK1FOLLOWING TEXT,
  LINK1STYLE TEXT,

  LINK2PRECEEDING TEXT,
  LINK2FOLLOWING TEXT,
  LINK2STYLE TEXT,

  LINK3PRECEEDING TEXT,
  LINK3FOLLOWING TEXT,
  LINK3STYLE TEXT,

  LINK4PRECEEDING TEXT,
  LINK4FOLLOWING TEXT,
  LINK4STYLE TEXT,


  PAGESPRECEEDING TEXT,
  PAGESFOLLOWING TEXT,
  REFNUMBERPRECEEDING TEXT,
  REFNUMBERFOLLOWING TEXT,
  REFNUMBERSTYLE TEXT,
  REFNUMBERUSE TEXT,
  PAGESPAGERANGERANGESEPARATOR TEXT,
  QABBREVIATEFIRSTSTYLE TEXT,
  QABBREVIATESUBSEQSTYLE TEXT,
  PAGESPAGERANGESTYLE TEXT,
  XABBREVIATEFIRSTSTYLE TEXT,
  YABBREVIATEFIRSTSTYLE TEXT,
  ZABBREVIATEFIRSTSTYLE TEXT,
  XABBREVIATESUBSEQSTYLE TEXT,
  YABBREVIATESUBSEQSTYLE TEXT,
  ZABBREVIATESUBSEQSTYLE TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE SEPARATORS (
  ID SERIAL,
  STYLEID INTEGER,
  VALUE TEXT,
  PRIMARY KEY (ID)
);

CREATE TABLE t_meta (
  meta_app TEXT,
  meta_type TEXT,
  meta_version TEXT,
  meta_dbversion SMALLINT,
  meta_create_date TIMESTAMP,
  meta_modify_date TIMESTAMP
);

INSERT INTO t_meta VALUES ('refdb','refdb','0.9.6',1,CURRENT_TIMESTAMP,CURRENT_TIMESTAMP);

CREATE TABLE t_journal_words (
  name TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY (name)
);


INSERT INTO t_journal_words (name) VALUES ('(BALTIMORE)');
INSERT INTO t_journal_words (name) VALUES ('(BASEL)');
INSERT INTO t_journal_words (name) VALUES ('(BERL)');
INSERT INTO t_journal_words (name) VALUES ('(COPENH)');
INSERT INTO t_journal_words (name) VALUES ('(GANN)');
INSERT INTO t_journal_words (name) VALUES ('(JENA)');
INSERT INTO t_journal_words (name) VALUES ('(LEIDEN)');
INSERT INTO t_journal_words (name) VALUES ('(LOND)');
INSERT INTO t_journal_words (name) VALUES ('(NY)');
INSERT INTO t_journal_words (name) VALUES ('(PARIS)');
INSERT INTO t_journal_words (name) VALUES ('(PAVIA)');
INSERT INTO t_journal_words (name) VALUES ('(PRAHA)');
INSERT INTO t_journal_words (name) VALUES ('(STOCKH)');
INSERT INTO t_journal_words (name) VALUES ('(TOKYO)');
INSERT INTO t_journal_words (name) VALUES ('ABUSE');
INSERT INTO t_journal_words (name) VALUES ('ACCOUNTS');
INSERT INTO t_journal_words (name) VALUES ('ACP');
INSERT INTO t_journal_words (name) VALUES ('ACTA');
INSERT INTO t_journal_words (name) VALUES ('ACTIONS');
INSERT INTO t_journal_words (name) VALUES ('AFFAIRS');
INSERT INTO t_journal_words (name) VALUES ('AFFECTIVE');
INSERT INTO t_journal_words (name) VALUES ('AGEING');
INSERT INTO t_journal_words (name) VALUES ('AGENTS');
INSERT INTO t_journal_words (name) VALUES ('AGGRESSIVE');
INSERT INTO t_journal_words (name) VALUES ('AGING');
INSERT INTO t_journal_words (name) VALUES ('AIDS');
INSERT INTO t_journal_words (name) VALUES ('ALCOHOL');
INSERT INTO t_journal_words (name) VALUES ('ALCOHOLISM');
INSERT INTO t_journal_words (name) VALUES ('ALLERGY');
INSERT INTO t_journal_words (name) VALUES ('AMINES');
INSERT INTO t_journal_words (name) VALUES ('ANAESTHESIA');
INSERT INTO t_journal_words (name) VALUES ('ANALYST');
INSERT INTO t_journal_words (name) VALUES ('ANESTHESIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('ANTICANCER');
INSERT INTO t_journal_words (name) VALUES ('ANTIVIRAL');
INSERT INTO t_journal_words (name) VALUES ('ANTONIE');
INSERT INTO t_journal_words (name) VALUES ('APMIS');
INSERT INTO t_journal_words (name) VALUES ('ARTERIOSCLEROSIS');
INSERT INTO t_journal_words (name) VALUES ('ARTHRITIS');
INSERT INTO t_journal_words (name) VALUES ('ARTHROPLASTY');
INSERT INTO t_journal_words (name) VALUES ('ASTHMA');
INSERT INTO t_journal_words (name) VALUES ('ASYMMETRY');
INSERT INTO t_journal_words (name) VALUES ('ATHEROSCLEROSIS');
INSERT INTO t_journal_words (name) VALUES ('AUDIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('B');
INSERT INTO t_journal_words (name) VALUES ('BEHAVIOUR');
INSERT INTO t_journal_words (name) VALUES ('BIO-ENERGETICS');
INSERT INTO t_journal_words (name) VALUES ('BIOCHEMISTRY');
INSERT INTO t_journal_words (name) VALUES ('BIOCHIMIE');
INSERT INTO t_journal_words (name) VALUES ('BIOCHROMATOGRAPHY');
INSERT INTO t_journal_words (name) VALUES ('BIOELECTROMAGNETICS');
INSERT INTO t_journal_words (name) VALUES ('BIOESSAYS');
INSERT INTO t_journal_words (name) VALUES ('BIOFACTORS');
INSERT INTO t_journal_words (name) VALUES ('BIOGENIC');
INSERT INTO t_journal_words (name) VALUES ('BIOLOGIST');
INSERT INTO t_journal_words (name) VALUES ('BIOMATERIALS');
INSERT INTO t_journal_words (name) VALUES ('BIOORGANIC');
INSERT INTO t_journal_words (name) VALUES ('BIOPOLYMERS');
INSERT INTO t_journal_words (name) VALUES ('BIOSYSTEMS');
INSERT INTO t_journal_words (name) VALUES ('BIOTECHNIQUES');
INSERT INTO t_journal_words (name) VALUES ('BIOTECHNOLOGY');
INSERT INTO t_journal_words (name) VALUES ('BIOTHERAPY');
INSERT INTO t_journal_words (name) VALUES ('BIRTH');
INSERT INTO t_journal_words (name) VALUES ('BLOOD');
INSERT INTO t_journal_words (name) VALUES ('BLUT');
INSERT INTO t_journal_words (name) VALUES ('BONE');
INSERT INTO t_journal_words (name) VALUES ('BRAIN');
INSERT INTO t_journal_words (name) VALUES ('BREAST');
INSERT INTO t_journal_words (name) VALUES ('CALCIUM');
INSERT INTO t_journal_words (name) VALUES ('CAMBRIDGE');
INSERT INTO t_journal_words (name) VALUES ('CANCER');
INSERT INTO t_journal_words (name) VALUES ('CARCINOGENESIS');
INSERT INTO t_journal_words (name) VALUES ('CARDIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('CARE');
INSERT INTO t_journal_words (name) VALUES ('CELL');
INSERT INTO t_journal_words (name) VALUES ('CELLS');
INSERT INTO t_journal_words (name) VALUES ('CHEMOTHERAPY');
INSERT INTO t_journal_words (name) VALUES ('CHEST');
INSERT INTO t_journal_words (name) VALUES ('CHILD');
INSERT INTO t_journal_words (name) VALUES ('CHROMATOGRAPHY');
INSERT INTO t_journal_words (name) VALUES ('CHROMOSOMA');
INSERT INTO t_journal_words (name) VALUES ('CIRCULATION');
INSERT INTO t_journal_words (name) VALUES ('COLD');
INSERT INTO t_journal_words (name) VALUES ('COLLOID');
INSERT INTO t_journal_words (name) VALUES ('COLON');
INSERT INTO t_journal_words (name) VALUES ('COMPLEMENT');
INSERT INTO t_journal_words (name) VALUES ('CONTRACEPTION');
INSERT INTO t_journal_words (name) VALUES ('CONTROLLED');
INSERT INTO t_journal_words (name) VALUES ('CRC');
INSERT INTO t_journal_words (name) VALUES ('CROP');
INSERT INTO t_journal_words (name) VALUES ('CULTURE');
INSERT INTO t_journal_words (name) VALUES ('CYCLE');
INSERT INTO t_journal_words (name) VALUES ('CYTOBIOS');
INSERT INTO t_journal_words (name) VALUES ('CYTOMETRY');
INSERT INTO t_journal_words (name) VALUES ('CYTOSKELETON');
INSERT INTO t_journal_words (name) VALUES ('CYTOTECHNOLOGY');
INSERT INTO t_journal_words (name) VALUES ('DEFECTS');
INSERT INTO t_journal_words (name) VALUES ('DERMATOLOGICA');
INSERT INTO t_journal_words (name) VALUES ('DEVELOPMENT');
INSERT INTO t_journal_words (name) VALUES ('DIABETES');
INSERT INTO t_journal_words (name) VALUES ('DIABETOLOGIA');
INSERT INTO t_journal_words (name) VALUES ('DIGESTION');
INSERT INTO t_journal_words (name) VALUES ('DNA');
INSERT INTO t_journal_words (name) VALUES ('DNAGING');
INSERT INTO t_journal_words (name) VALUES ('DRUG');
INSERT INTO t_journal_words (name) VALUES ('DRUGS');
INSERT INTO t_journal_words (name) VALUES ('DT');
INSERT INTO t_journal_words (name) VALUES ('EARLY');
INSERT INTO t_journal_words (name) VALUES ('EICOSANOIDS');
INSERT INTO t_journal_words (name) VALUES ('ELECTROLYTE');
INSERT INTO t_journal_words (name) VALUES ('ELECTRON');
INSERT INTO t_journal_words (name) VALUES ('ELECTROPHORESIS');
INSERT INTO t_journal_words (name) VALUES ('EMBO');
INSERT INTO t_journal_words (name) VALUES ('ENDOCRINOLOGY');
INSERT INTO t_journal_words (name) VALUES ('ENDOTHELIUM');
INSERT INTO t_journal_words (name) VALUES ('ENVIRONMENT');
INSERT INTO t_journal_words (name) VALUES ('ENZYME');
INSERT INTO t_journal_words (name) VALUES ('EPILEPSIA');
INSERT INTO t_journal_words (name) VALUES ('EPILEPSY');
INSERT INTO t_journal_words (name) VALUES ('EUPHYTICA');
INSERT INTO t_journal_words (name) VALUES ('EVOKED');
INSERT INTO t_journal_words (name) VALUES ('EVOLUTION');
INSERT INTO t_journal_words (name) VALUES ('EXPERIENTIA');
INSERT INTO t_journal_words (name) VALUES ('EXPRESSION');
INSERT INTO t_journal_words (name) VALUES ('EYE');
INSERT INTO t_journal_words (name) VALUES ('FASEB');
INSERT INTO t_journal_words (name) VALUES ('FATTY');
INSERT INTO t_journal_words (name) VALUES ('FEBS');
INSERT INTO t_journal_words (name) VALUES ('FEMS');
INSERT INTO t_journal_words (name) VALUES ('FETAL');
INSERT INTO t_journal_words (name) VALUES ('FIBRINOLYSIS');
INSERT INTO t_journal_words (name) VALUES ('FLOW');
INSERT INTO t_journal_words (name) VALUES ('FLUID');
INSERT INTO t_journal_words (name) VALUES ('FOLIA');
INSERT INTO t_journal_words (name) VALUES ('FOOD');
INSERT INTO t_journal_words (name) VALUES ('FORENSIC');
INSERT INTO t_journal_words (name) VALUES ('FREE');
INSERT INTO t_journal_words (name) VALUES ('GAMETE');
INSERT INTO t_journal_words (name) VALUES ('GASTROENTEROLOGY');
INSERT INTO t_journal_words (name) VALUES ('GENE');
INSERT INTO t_journal_words (name) VALUES ('GENES');
INSERT INTO t_journal_words (name) VALUES ('GENETICA');
INSERT INTO t_journal_words (name) VALUES ('GENETICS');
INSERT INTO t_journal_words (name) VALUES ('GENOME');
INSERT INTO t_journal_words (name) VALUES ('GENOMICS');
INSERT INTO t_journal_words (name) VALUES ('GERONTOLOGY');
INSERT INTO t_journal_words (name) VALUES ('GLIA');
INSERT INTO t_journal_words (name) VALUES ('GLYCOCONJUGATE');
INSERT INTO t_journal_words (name) VALUES ('GROWTH');
INSERT INTO t_journal_words (name) VALUES ('GUT');
INSERT INTO t_journal_words (name) VALUES ('HAEMATOLOGICA');
INSERT INTO t_journal_words (name) VALUES ('HAEMOSTASIS');
INSERT INTO t_journal_words (name) VALUES ('HAND');
INSERT INTO t_journal_words (name) VALUES ('HARBOR');
INSERT INTO t_journal_words (name) VALUES ('HEALTH');
INSERT INTO t_journal_words (name) VALUES ('HEART');
INSERT INTO t_journal_words (name) VALUES ('HEMOGLOBIN');
INSERT INTO t_journal_words (name) VALUES ('HEPATOLOGY');
INSERT INTO t_journal_words (name) VALUES ('HEREDITY');
INSERT INTO t_journal_words (name) VALUES ('HISTOCHEMISTRY');
INSERT INTO t_journal_words (name) VALUES ('HISTOPATHOLOGY');
INSERT INTO t_journal_words (name) VALUES ('HOPPE');
INSERT INTO t_journal_words (name) VALUES ('HYBRIDOMA');
INSERT INTO t_journal_words (name) VALUES ('HYPERTENSION');
INSERT INTO t_journal_words (name) VALUES ('IEEE');
INSERT INTO t_journal_words (name) VALUES ('IMAGING');
INSERT INTO t_journal_words (name) VALUES ('IMMUNOASSAY');
INSERT INTO t_journal_words (name) VALUES ('IMMUNOBIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('IMMUNOGENETICS');
INSERT INTO t_journal_words (name) VALUES ('IMMUNOLOGY');
INSERT INTO t_journal_words (name) VALUES ('IMMUNOPHARMACOLOGY');
INSERT INTO t_journal_words (name) VALUES ('IN');
INSERT INTO t_journal_words (name) VALUES ('INDIAN');
INSERT INTO t_journal_words (name) VALUES ('INFECTION');
INSERT INTO t_journal_words (name) VALUES ('INFLAMMATION');
INSERT INTO t_journal_words (name) VALUES ('INHERITED');
INSERT INTO t_journal_words (name) VALUES ('INSECT');
INSERT INTO t_journal_words (name) VALUES ('INSTABILITY');
INSERT INTO t_journal_words (name) VALUES ('INTERFACE');
INSERT INTO t_journal_words (name) VALUES ('INTERVIROLOGY');
INSERT INTO t_journal_words (name) VALUES ('INVASION');
INSERT INTO t_journal_words (name) VALUES ('JAMA');
INSERT INTO t_journal_words (name) VALUES ('JCU');
INSERT INTO t_journal_words (name) VALUES ('JNCI');
INSERT INTO t_journal_words (name) VALUES ('JOINT');
INSERT INTO t_journal_words (name) VALUES ('JOURNAL');
INSERT INTO t_journal_words (name) VALUES ('KIDNEY');
INSERT INTO t_journal_words (name) VALUES ('LAEGER');
INSERT INTO t_journal_words (name) VALUES ('LANCET');
INSERT INTO t_journal_words (name) VALUES ('LARYNGOSCOPE');
INSERT INTO t_journal_words (name) VALUES ('LEEUWENHOEK');
INSERT INTO t_journal_words (name) VALUES ('LENS');
INSERT INTO t_journal_words (name) VALUES ('LEUKEMIA');
INSERT INTO t_journal_words (name) VALUES ('LEUKOCYTE');
INSERT INTO t_journal_words (name) VALUES ('LEUKOTRIENES');
INSERT INTO t_journal_words (name) VALUES ('LIFE');
INSERT INTO t_journal_words (name) VALUES ('LIPID');
INSERT INTO t_journal_words (name) VALUES ('LIPIDS');
INSERT INTO t_journal_words (name) VALUES ('LIPOSOME');
INSERT INTO t_journal_words (name) VALUES ('LIQUID');
INSERT INTO t_journal_words (name) VALUES ('LIVER');
INSERT INTO t_journal_words (name) VALUES ('LUNG');
INSERT INTO t_journal_words (name) VALUES ('LYMPHATICS');
INSERT INTO t_journal_words (name) VALUES ('LYMPHOKINE');
INSERT INTO t_journal_words (name) VALUES ('LYMPHOLOGY');
INSERT INTO t_journal_words (name) VALUES ('MAGNESIUM');
INSERT INTO t_journal_words (name) VALUES ('MARKERS');
INSERT INTO t_journal_words (name) VALUES ('MARROW');
INSERT INTO t_journal_words (name) VALUES ('MATRIX');
INSERT INTO t_journal_words (name) VALUES ('MATURITAS');
INSERT INTO t_journal_words (name) VALUES ('MAYO');
INSERT INTO t_journal_words (name) VALUES ('MEDICINE');
INSERT INTO t_journal_words (name) VALUES ('MESSENGER');
INSERT INTO t_journal_words (name) VALUES ('MESSENGERS');
INSERT INTO t_journal_words (name) VALUES ('METABOLISM');
INSERT INTO t_journal_words (name) VALUES ('METASTASIS');
INSERT INTO t_journal_words (name) VALUES ('METHODS');
INSERT INTO t_journal_words (name) VALUES ('MGG');
INSERT INTO t_journal_words (name) VALUES ('MICROBIOLOGICA');
INSERT INTO t_journal_words (name) VALUES ('MICROBIOS');
INSERT INTO t_journal_words (name) VALUES ('MINERAL');
INSERT INTO t_journal_words (name) VALUES ('MOTOR');
INSERT INTO t_journal_words (name) VALUES ('MUSCLE');
INSERT INTO t_journal_words (name) VALUES ('MUTAGENESIS');
INSERT INTO t_journal_words (name) VALUES ('MYCOPATHOLOGIA');
INSERT INTO t_journal_words (name) VALUES ('MYCOTAXON');
INSERT INTO t_journal_words (name) VALUES ('NATURE');
INSERT INTO t_journal_words (name) VALUES ('NAUNYN');
INSERT INTO t_journal_words (name) VALUES ('NECK');
INSERT INTO t_journal_words (name) VALUES ('NEPHRON');
INSERT INTO t_journal_words (name) VALUES ('NERVE');
INSERT INTO t_journal_words (name) VALUES ('NETHERLANDS');
INSERT INTO t_journal_words (name) VALUES ('NEURAL');
INSERT INTO t_journal_words (name) VALUES ('NEUROLOGY');
INSERT INTO t_journal_words (name) VALUES ('NEURON');
INSERT INTO t_journal_words (name) VALUES ('NEUROPEPTIDES');
INSERT INTO t_journal_words (name) VALUES ('NEUROPHARMACOLOGY');
INSERT INTO t_journal_words (name) VALUES ('NEUROPSYCHOBIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('NEUROSCIENCE');
INSERT INTO t_journal_words (name) VALUES ('NEUROSURGERY');
INSERT INTO t_journal_words (name) VALUES ('NEW');
INSERT INTO t_journal_words (name) VALUES ('NEWS');
INSERT INTO t_journal_words (name) VALUES ('NITRIC');
INSERT INTO t_journal_words (name) VALUES ('NORTH');
INSERT INTO t_journal_words (name) VALUES ('NUCLEIC ACIDS');
INSERT INTO t_journal_words (name) VALUES ('NUCLEOSIDES');
INSERT INTO t_journal_words (name) VALUES ('NY');
INSERT INTO t_journal_words (name) VALUES ('OF');
INSERT INTO t_journal_words (name) VALUES ('OIL');
INSERT INTO t_journal_words (name) VALUES ('ONCOGENE');
INSERT INTO t_journal_words (name) VALUES ('ONCOLOGY');
INSERT INTO t_journal_words (name) VALUES ('OPHTHALMIC');
INSERT INTO t_journal_words (name) VALUES ('OPHTHALMOLOGICA');
INSERT INTO t_journal_words (name) VALUES ('ORAL');
INSERT INTO t_journal_words (name) VALUES ('ORGANS');
INSERT INTO t_journal_words (name) VALUES ('ORL');
INSERT INTO t_journal_words (name) VALUES ('OTHER');
INSERT INTO t_journal_words (name) VALUES ('OXIDE');
INSERT INTO t_journal_words (name) VALUES ('PAIN');
INSERT INTO t_journal_words (name) VALUES ('PANCREAS');
INSERT INTO t_journal_words (name) VALUES ('PARASITE');
INSERT INTO t_journal_words (name) VALUES ('PARASITOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PASTEUR');
INSERT INTO t_journal_words (name) VALUES ('PATHOBIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PEDIATRICS');
INSERT INTO t_journal_words (name) VALUES ('PEPTIDE');
INSERT INTO t_journal_words (name) VALUES ('PEPTIDES');
INSERT INTO t_journal_words (name) VALUES ('PERKIN');
INSERT INTO t_journal_words (name) VALUES ('PFLUGERS');
INSERT INTO t_journal_words (name) VALUES ('PHARMACOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PHOSPHOPROTEIN');
INSERT INTO t_journal_words (name) VALUES ('PHOSPHOPROTEINS');
INSERT INTO t_journal_words (name) VALUES ('PHYTOCHEMISTRY');
INSERT INTO t_journal_words (name) VALUES ('PHYTOPATHOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PIGMENT');
INSERT INTO t_journal_words (name) VALUES ('PINEAL');
INSERT INTO t_journal_words (name) VALUES ('PLANT');
INSERT INTO t_journal_words (name) VALUES ('PLANTA');
INSERT INTO t_journal_words (name) VALUES ('PLASMID');
INSERT INTO t_journal_words (name) VALUES ('POTENTIALS');
INSERT INTO t_journal_words (name) VALUES ('PRESSE');
INSERT INTO t_journal_words (name) VALUES ('PROCESSES');
INSERT INTO t_journal_words (name) VALUES ('PROGRAMS');
INSERT INTO t_journal_words (name) VALUES ('PROSTAGLANDINS');
INSERT INTO t_journal_words (name) VALUES ('PROSTATE');
INSERT INTO t_journal_words (name) VALUES ('PROTEIN');
INSERT INTO t_journal_words (name) VALUES ('PROTEINS');
INSERT INTO t_journal_words (name) VALUES ('PROTOPLASMA');
INSERT INTO t_journal_words (name) VALUES ('PSYCHIATRY');
INSERT INTO t_journal_words (name) VALUES ('PSYCHOBIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PSYCHOPATHOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PSYCHOPHARMACOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PSYCHOPHYSIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('PUBLIC');
INSERT INTO t_journal_words (name) VALUES ('RADIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('RECTUM');
INSERT INTO t_journal_words (name) VALUES ('RENAL');
INSERT INTO t_journal_words (name) VALUES ('REPAIR');
INSERT INTO t_journal_words (name) VALUES ('RESPIRATION');
INSERT INTO t_journal_words (name) VALUES ('RESPONSE');
INSERT INTO t_journal_words (name) VALUES ('RETROVIRUSES');
INSERT INTO t_journal_words (name) VALUES ('RHYTHMS');
INSERT INTO t_journal_words (name) VALUES ('SCHMIEDEBERGS');
INSERT INTO t_journal_words (name) VALUES ('SCIENCE');
INSERT INTO t_journal_words (name) VALUES ('SECOND');
INSERT INTO t_journal_words (name) VALUES ('SENSES');
INSERT INTO t_journal_words (name) VALUES ('SEYLER');
INSERT INTO t_journal_words (name) VALUES ('SHOCK');
INSERT INTO t_journal_words (name) VALUES ('SKIN');
INSERT INTO t_journal_words (name) VALUES ('SOIL');
INSERT INTO t_journal_words (name) VALUES ('SPORTS');
INSERT INTO t_journal_words (name) VALUES ('SPRING');
INSERT INTO t_journal_words (name) VALUES ('SPRINGER');
INSERT INTO t_journal_words (name) VALUES ('STAIN');
INSERT INTO t_journal_words (name) VALUES ('STEROID');
INSERT INTO t_journal_words (name) VALUES ('STEROIDS');
INSERT INTO t_journal_words (name) VALUES ('STROKE');
INSERT INTO t_journal_words (name) VALUES ('SURGERY');
INSERT INTO t_journal_words (name) VALUES ('SYNAPSE');
INSERT INTO t_journal_words (name) VALUES ('SYNTHESIS');
INSERT INTO t_journal_words (name) VALUES ('TERATOGENESIS');
INSERT INTO t_journal_words (name) VALUES ('TERATOLOGY');
INSERT INTO t_journal_words (name) VALUES ('TETRAHEDRON');
INSERT INTO t_journal_words (name) VALUES ('THERAPIE');
INSERT INTO t_journal_words (name) VALUES ('THERIOGENOLOGY');
INSERT INTO t_journal_words (name) VALUES ('THORAX');
INSERT INTO t_journal_words (name) VALUES ('THYMUS');
INSERT INTO t_journal_words (name) VALUES ('TIBS');
INSERT INTO t_journal_words (name) VALUES ('TIBTECH');
INSERT INTO t_journal_words (name) VALUES ('TIG');
INSERT INTO t_journal_words (name) VALUES ('TINS');
INSERT INTO t_journal_words (name) VALUES ('TIPS');
INSERT INTO t_journal_words (name) VALUES ('TISSUE');
INSERT INTO t_journal_words (name) VALUES ('TODAY');
INSERT INTO t_journal_words (name) VALUES ('TOXICOLOGY');
INSERT INTO t_journal_words (name) VALUES ('TOXICON');
INSERT INTO t_journal_words (name) VALUES ('TOXIN');
INSERT INTO t_journal_words (name) VALUES ('TRACE');
INSERT INTO t_journal_words (name) VALUES ('TRANSFUSION');
INSERT INTO t_journal_words (name) VALUES ('TRANSPLANTATION');
INSERT INTO t_journal_words (name) VALUES ('TREE');
INSERT INTO t_journal_words (name) VALUES ('TRENDS');
INSERT INTO t_journal_words (name) VALUES ('TUMOR');
INSERT INTO t_journal_words (name) VALUES ('ULTRAMICROSCOPY');
INSERT INTO t_journal_words (name) VALUES ('USA');
INSERT INTO t_journal_words (name) VALUES ('VACCINE');
INSERT INTO t_journal_words (name) VALUES ('VAN');
INSERT INTO t_journal_words (name) VALUES ('VESSELS');
INSERT INTO t_journal_words (name) VALUES ('VIRCHOWS');
INSERT INTO t_journal_words (name) VALUES ('VIROLOGY');
INSERT INTO t_journal_words (name) VALUES ('VIRUS');
INSERT INTO t_journal_words (name) VALUES ('VISION');
INSERT INTO t_journal_words (name) VALUES ('VISUAL');
INSERT INTO t_journal_words (name) VALUES ('VITRO');
INSERT INTO t_journal_words (name) VALUES ('VOX');
INSERT INTO t_journal_words (name) VALUES ('WHO');
INSERT INTO t_journal_words (name) VALUES ('WORLD');
INSERT INTO t_journal_words (name) VALUES ('XENOBIOTICA');
INSERT INTO t_journal_words (name) VALUES ('YALE');
INSERT INTO t_journal_words (name) VALUES ('ÄRZTEBL');
INSERT INTO t_journal_words (name) VALUES ('BJOG');
INSERT INTO t_journal_words (name) VALUES ('CRYOBIOLOGY');
INSERT INTO t_journal_words (name) VALUES ('BMC');
INSERT INTO t_journal_words (name) VALUES ('ASAIO');

CREATE GROUP refdbuser;
GRANT SELECT ON CITSTYLE, POSITIONS, REFSTYLE, SEPARATORS, t_journal_words, t_meta TO GROUP refdbuser;
